{
  universal.modules = [
    {
      services.prometheus.exporters = {
        node = {
          enable = true;
          enabledCollectors = ["systemd"];
          port = 6703;
        };
        varnish.enable = false; # this currently throws an error. boo-hoo
      };
    }
  ];
  glucose.modules = [
    {
      services.prometheus = {
        enable = true;
        port = 6750;
        enableReload = true;

        scrapeConfigs = [
          {
            job_name = "devices";
            static_configs = [
              {
                targets = ["10.24.1.4:6703" "10.24.1.9:6703" "10.24.1.16:6703" "10.24.1.225:6703" "10.24.1.196:6703"];
              }
            ];
          }
        ];
      };
    }
  ];
}
